Package

## Enum Abi

- All Implemented Interfaces:
    `java.io.Serializable` , `java.lang.Comparable`

      public enum Abi

  Enumeration for Android ABIs.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private final String` | `name` |

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABI_UNKNOWN` | Represents not supported ABIs
    `ABI_ARM64_V8A` | Represents arm64-v8a ABI
    `ABI_X86_64` | Represents x86_64 ABI
    `ABI_X86` | Represents x86 ABI
    `ABI_ARM` | Represents armeabi ABI
    `ABI_ARMV7A` | Represents armeabi-v7a ABI
    `ABI_ARMV7A_NEON` | Represents armeabi-v7a ABI with NEON support

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static Abi` | `from(String abiName)` | Returns the enumeration defined for the given ABI name.
    `static Array<Abi>` | `values()` |
    `static Abi` | `valueOf(String name)` |
    `String` | `getName()` | Returns the ABI name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

           static Abi from(String abiName)

      Returns the enumeration defined for the given ABI name.

      Parameters:
        `abiName` - ABI name

    - #### values

           static Array<Abi> values()

    - #### valueOf

           static Abi valueOf(String name)

    - #### getName

           String getName()

      Returns the ABI name.